Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net.ssl
Class TrustManagerFactory

    java.lang.Object
      javax.net.ssl.TrustManagerFactory

    public class TrustManagerFactory

extends Object

This class acts as a factory for trust managers based on a source of trust material. Each trust manager manages a specific type of trust material for use by secure sockets. The trust material is based on a KeyStore and/or provider specific sources.

Since:
  1.4
See Also:
  `TrustManager`

Constructor Summary
`protected` | `TrustManagerFactory(TrustManagerFactorySpi factorySpi, Provider provider, String algorithm)` Creates a TrustManagerFactory object.

Method Summary
`String` | `getAlgorithm()` Returns the algorithm name of this `TrustManagerFactory` object.
`static String` | `getDefaultAlgorithm()` Obtains the default TrustManagerFactory algorithm name.
`static TrustManagerFactory` | `getInstance(String algorithm)` Returns a `TrustManagerFactory` object that acts as a factory for trust managers.
`static TrustManagerFactory` | `getInstance(String algorithm, Provider provider)` Returns a `TrustManagerFactory` object that acts as a factory for trust managers.
`static TrustManagerFactory` | `getInstance(String algorithm, String provider)` Returns a `TrustManagerFactory` object that acts as a factory for trust managers.
`Provider` | `getProvider()` Returns the provider of this `TrustManagerFactory` object.
`TrustManager[]` | `getTrustManagers()` Returns one trust manager for each type of trust material.
`void` | `init(KeyStore ks)` Initializes this factory with a source of certificate authorities and related trust material.
`void` | `init(ManagerFactoryParameters spec)` Initializes this factory with a source of provider-specific trust material.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrustManagerFactory

    protected TrustManagerFactory(TrustManagerFactorySpi factorySpi,
                                  Provider provider,
                                  String algorithm)

  Creates a TrustManagerFactory object.

  Parameters:
    `factorySpi` - the delegate
    `provider` - the provider
    `algorithm` - the algorithm

Method Detail

### getDefaultAlgorithm

    public static final String getDefaultAlgorithm()

  Obtains the default TrustManagerFactory algorithm name.

  The default TrustManager can be changed at runtime by setting the value of the "ssl.TrustManagerFactory.algorithm" security property (set in the Java security properties file or by calling `Security.setProperty(String, String)`) to the desired algorithm name.

  Returns:
    the default algorithm name as specified in the Java security properties, or an implementation-specific default if no such property exists.

### getAlgorithm

    public final String getAlgorithm()

  Returns the algorithm name of this `TrustManagerFactory` object.

  This is the same name that was specified in one of the `getInstance` calls that created this `TrustManagerFactory` object.

  Returns:
    the algorithm name of this `TrustManagerFactory` object

### getInstance

    public static final TrustManagerFactory getInstance(String algorithm)
                                                 throws NoSuchAlgorithmException

  Returns a `TrustManagerFactory` object that acts as a factory for trust managers.

  This method traverses the list of registered security Providers, starting with the most preferred Provider. A new TrustManagerFactory object encapsulating the TrustManagerFactorySpi implementation from the first Provider that supports the specified algorithm is returned.

  Note that the list of registered providers may be retrieved via the `Security.getProviders()` method.

  Parameters:
    `algorithm` - the standard name of the requested trust management algorithm. See the Java Secure Socket Extension Reference Guide for information about standard algorithm names.
  Returns:
    the new `TrustManagerFactory` object.
  Throws:
    `NoSuchAlgorithmException` - if no Provider supports a TrustManagerFactorySpi implementation for the specified algorithm.
  See Also:
    `Provider`

### getInstance

    public static final TrustManagerFactory getInstance(String algorithm,
                                                        String provider)
                                                 throws NoSuchAlgorithmException,
                                                        NoSuchProviderException

  Returns a `TrustManagerFactory` object that acts as a factory for trust managers.

  A new KeyManagerFactory object encapsulating the KeyManagerFactorySpi implementation from the specified provider is returned. The specified provider must be registered in the security provider list.

  Note that the list of registered providers may be retrieved via the `Security.getProviders()` method.

  Parameters:
    `algorithm` - the standard name of the requested trust management algorithm. See the Java Secure Socket Extension Reference Guide for information about standard algorithm names.
    `provider` - the name of the provider.
  Returns:
    the new `TrustManagerFactory` object
  Throws:
    `NoSuchAlgorithmException` - if a TrustManagerFactorySpi implementation for the specified algorithm is not available from the specified provider.
    `NoSuchProviderException` - if the specified provider is not registered in the security provider list.
    `IllegalArgumentException` - if the provider name is null or empty.
  See Also:
    `Provider`

### getInstance

    public static final TrustManagerFactory getInstance(String algorithm,
                                                        Provider provider)
                                                 throws NoSuchAlgorithmException

  Returns a `TrustManagerFactory` object that acts as a factory for trust managers.

  A new TrustManagerFactory object encapsulating the TrustManagerFactorySpi implementation from the specified Provider object is returned. Note that the specified Provider object does not have to be registered in the provider list.

  Parameters:
    `algorithm` - the standard name of the requested trust management algorithm. See the Java Secure Socket Extension Reference Guide for information about standard algorithm names.
    `provider` - an instance of the provider.
  Returns:
    the new `TrustManagerFactory` object.
  Throws:
    `NoSuchAlgorithmException` - if a TrustManagerFactorySpi implementation for the specified algorithm is not available from the specified Provider object.
    `IllegalArgumentException` - if the provider is null.
  See Also:
    `Provider`

### getProvider

    public final Provider getProvider()

  Returns the provider of this `TrustManagerFactory` object.

  Returns:
    the provider of this `TrustManagerFactory` object

### init

    public final void init(KeyStore ks)
                    throws KeyStoreException

  Initializes this factory with a source of certificate authorities and related trust material.

  The provider typically uses a KeyStore as a basis for making trust decisions.

  For more flexible initialization, please see `init(ManagerFactoryParameters)`.

  Parameters:
    `ks` - the key store, or null
  Throws:
    `KeyStoreException` - if this operation fails

### init

    public final void init(ManagerFactoryParameters spec)
                    throws InvalidAlgorithmParameterException

  Initializes this factory with a source of provider-specific trust material.

  In some cases, initialization parameters other than a keystore may be needed by a provider. Users of that particular provider are expected to pass an implementation of the appropriate `ManagerFactoryParameters` as defined by the provider. The provider can then call the specified methods in the `ManagerFactoryParameters` implementation to obtain the needed information.

  Parameters:
    `spec` - an implementation of a provider-specific parameter specification
  Throws:
    `InvalidAlgorithmParameterException` - if an error is encountered

### getTrustManagers

    public final TrustManager[] getTrustManagers()

  Returns one trust manager for each type of trust material.

  Returns:
    the trust managers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.